Search NASA⌕ Search

SEARCH · Search NASA

Results for “quantum approximate optimization algorithm”

Search indexed NASA NTRS and DOE OSTI research on propulsion, heat transfer, battery materials and energy systems. Follow report and document links to the original sources.

Quote a phrase for an exact phrase match. Source license links do not imply unrestricted reuse.

At least 145 records · Page 8

Iterative quantum optimization of spin glass problems with rapidly oscillating transverse fields

In this work, we introduce a new iterative quantum algorithm, called Iterative Symphonic Tunneling for Satisfiability problems (IST-SAT), which solves quantum spin glass optimization problems using high-frequency oscillating transverse fields. IST-SAT operates as a sequence of iterations, in which bitstrings returned from one iteration are used to set spin-dependent phases in oscillating transverse fields in the next iteration. Over several iterations, the novel mechanism of the algorithm steers the system toward the problem ground state. We benchmark IST-SAT on sets of hard MAX-3-XORSAT problem instances with exact state vector simulation, and report polynomial speedups over Trotterized adiabatic quantum computation and the best known semi-greedy classical algorithm. When IST-SAT is seeded with a sufficiently good initial approximation, the algorithm converges to exact solution(s) in a polynomial number of iterations. Our numerical results identify a critical Hamming radius, or quality of initial approximation, where the time-to-solution crosses from exponential to polynomial scaling in problem size. This work proposes IST-SAT a new quantum algorithm, which improves upon solutions obtained from initial classical or quantum optimization algorithms. The steering mechanism we introduce through IST-SAT presents a new path toward achieving quantum advantage in optimization.

71 CLASSICAL AND QUANTUM MECHANICS, GENERAL PHYSIC↗

Optimized Lie–Trotter–Suzuki decompositions for two and three non-commuting terms

Lie–Trotter–Suzuki decompositions are an efficient way to approximate operator exponentials exp ( t H ) when H is a sum of n (non-commuting) terms which, individually, can be exponentiated easily. They are employed in time-evolution algorithms for tensor network states, digital quantum simulation protocols, path integral methods like quantum Monte Carlo, and splitting methods for symplectic integrators in classical Hamiltonian systems. Here, we provide optimized decompositions up to order t 6 . The leading error term is expanded in nested commutators (Hall bases) and we minimize the 1-norm of the coefficients. For n = 2 terms, several of the optima we find are close to those in McLachlan (1995). Generally, our results substantially improve over unoptimized decompositions by Forest, Ruth, Yoshida, and Suzuki. We explain why these decompositions are sufficient to efficiently simulate any one- or two-dimensional lattice model with finite-range interactions. This follows by solving a partitioning problem for the interaction graph.

71 CLASSICAL AND QUANTUM MECHANICS, GENERAL PHYSIC↗

Initial-State Dependent Optimization of Controlled Gate Operations with Quantum Computer

There is no unique way to encode a quantum algorithm into a quantum circuit. With limited qubit counts, connectivity, and coherence times, a quantum circuit optimization is essential to make the best use of near-term quantum devices. We introduce a new circuit optimizer called AQCEL, which aims to remove redundant controlled operations from controlled gates, depending on initial states of the circuit. Especially, the AQCEL can remove unnecessary qubit controls from multi-controlled gates in polynomial computational resources, even when all the relevant qubits are entangled, by identifying zero-amplitude computational basis states using a quantum computer. As a benchmark, the AQCEL is deployed on a quantum algorithm designed to model final state radiation in high energy physics. For this benchmark, we have demonstrated that the AQCEL-optimized circuit can produce equivalent final states with much smaller number of gates. Moreover, when deploying AQCEL with a noisy intermediate scale quantum computer, it efficiently produces a quantum circuit that approximates the original circuit with high fidelity by truncating low-amplitude computational basis states below certain thresholds. Our technique is useful for a wide variety of quantum algorithms, opening up new possibilities to further simplify quantum circuits to be more effective for real devices.

97 MATHEMATICS AND COMPUTING↗

Analyzing Prospects for Quantum Advantage in Topological Data Analysis

Lloyd [Nat. Commun. , 10138 (2016)] were first to demonstrate the promise of quantum algorithms for computing Betti numbers, a way to characterize topological features of data sets. Here, we propose, analyze, and optimize an improved quantum algorithm for topological data analysis (TDA) with reduced scaling, including a method for preparing Dicke states based on inequality testing, a more efficient amplitude estimation algorithm using Kaiser windows, and an optimal implementation of eigenvalue projectors based on Chebyshev polynomials. We compile our approach to a fault-tolerant gate set and estimate constant factors in the Toffoli complexity. Our analysis reveals that superquadratic quantum speedups are only possible for this problem when targeting a multiplicative error approximation and the Betti number grows asymptotically. Further, we propose a dequantization of the quantum TDA algorithm that shows that having exponentially large dimension and Betti number are necessary, but insufficient conditions, for superpolynomial advantage. We then introduce and analyze specific problem examples which have parameters in the regime where superpolynomial advantages may be achieved, and argue that quantum circuits with tens of billions of Toffoli gates can solve seemingly classically intractable instances. Published by the American Physical Society 2024

97 MATHEMATICS AND COMPUTING↗

Learning to Predict Arbitrary Quantum Processes

We present an efficient machine-learning (ML) algorithm for predicting any unknown quantum process ℰ over 𝑛 qubits. For a wide range of distributions 𝒟 on arbitrary 𝑛-qubit states, we show that this ML algorithm can learn to predict any local property of the output from the unknown process ℰ, with a small average error over input states drawn from 𝒟. The ML algorithm is computationally efficient even when the unknown process is a quantum circuit with exponentially many gates. Our algorithm combines efficient procedures for learning properties of an unknown state and for learning a low-degree approximation to an unknown observable. The analysis hinges on proving new norm inequalities, including a quantum analogue of the classical Bohnenblust-Hille inequality, which we derive by giving an improved algorithm for optimizing local Hamiltonians. Numerical experiments on predicting quantum dynamics with evolution time up to 10 6 and system size up to 50 qubits corroborate our proof. Overall, our results highlight the potential for ML models to predict the output of complex quantum dynamics much faster than the time needed to run the process itself.

quantum computation↗

Computing partition functions in the one-clean-qubit model

We present a method to approximate partition functions of quantum systems using mixed-state quantum computation. For positive-semidefinite Hamiltonians, our method has an expected running-time that is almost linear in [M/( ε rel Z )] 2 , where M is the dimension of the quantum system, Z is the partition function, and ε rel is the relative precision. It is based on approximations of the exponential operator as linear combinations of certain operators related to block-encoding of Hamiltonians or Hamiltonian evolutions. The trace of each operator is estimated using a standard algorithm in the one-clean-qubit model. For large values of Z , our method may run faster than exact classical methods, whose complexities are polynomial in M . We also prove that a version of the partition function estimation problem within additive error is complete for the so-called DQC1 complexity class, suggesting that our method provides a superpolynomial speedup for certain parameter values. Overall, to attain a desired relative precision, we develop a classical procedure based on a sequence of approximations within predetermined additive errors that may be of independent interest.

97 MATHEMATICS AND COMPUTING↗

Mutual information-assisted adaptive variational quantum eigensolver

Adaptive construction of ansatz circuits offers a promising route towards applicable variational quantum eigensolvers on near-term quantum hardware. Those algorithms aim to build up optimal circuits for a certain problem and ansatz circuits are adaptively constructed by selecting and adding entanglers from a predefined pool. In this work, we propose a way to construct entangler pools with reduced size by leveraging classical algorithms. Our method uses mutual information between the qubits in classically approximated ground state to rank and screen the entanglers. The density matrix renormalization group method is employed for classical precomputation in this work. We corroborate our method numerically on small molecules. Our numerical experiments show that a reduced entangler pool with a small portion of the original entangler pool can achieve same numerical accuracy. Here, we believe that our method paves a new way for adaptive construction of ansatz circuits for variational quantum algorithms.

71 CLASSICAL AND QUANTUM MECHANICS, GENERAL PHYSIC↗

Surrogate Optimization for Quantum Circuits

Variational quantum Eigensolvers are touted as a near-term algorithm capable of impacting many applications. However, the potential has yet to be realized with few claims of quantum advantage and high resource estimates mainly due to the need for optimization in the presence of noise. Finding algorithms and methods to improve the convergence is essential to accelerate the capabilities of near-term hardware for VQE or more broad applications of hybrid methods in which optimization is required. To this goal we look to use modern approaches recently developed in circuit simulations and stochastic classical optimization that can be combined in a surrogate optimization approach to classical circuits. Using an approximate state vector simulator, we efficiently calculate an approximate Hessian, fed as an input for a detailed quantum circuit simulator. We demonstrate the capabilities of such an approach with and without sampling noise. We also show that this method outperforms Powell in the presence of quantum circuit shot noise by a factor of 2-4

quantum computing↗

Quantum Alternating Operator Ansatz (QAOA) Phase Diagrams and Applications for Quantum Chemistry

Determining Hamiltonian ground states and energies is a challenging task with many possible approaches on quantum computers. While variational quantum eigensolvers are popular approaches for near term hardware, adiabatic state preparation is an alternative that does not require noisy optimization of parameters. Beyond adiabatic schedules, QAOA is an important method for optimization problems. In this work we modify QAOA to apply to finding ground states of molecules and empirically evaluate the modified algorithm on several molecules. This modification applies physical insights used in classical approximations to construct suitable QAOA operators and initial state. We find robust qualitative behavior for QAOA as a function of the number of steps and size of the parameters, and demonstrate this behavior also occurs in standard QAOA applied to combinatorial search. To this end we introduce QAOA phase diagrams that capture its performance and properties in various limits. In particular we show a region in which non-adiabatic schedules perform better than the adiabatic limit while employing lower quantum circuit depth. We further provide evidence our results and insights also apply to QAOA applications beyond chemistry.

Kremenetski, Vladimir↗

Simplified projection on total spin zero for state preparation on quantum computers

Here, we introduce a simple algorithm for projecting on J = 0 states of a many-body system by performing a series of rotations to remove states with angular momentum projections greater than zero. Existing methods rely on unitary evolution with the two-body operator J 2 , which when expressed in the computational basis contains many complicated Pauli strings requiring Trotterization and leading to very deep quantum circuits. Our approach performs the necessary projections using the one-body operators J x and J z . By leveraging the method of Cartan decomposition, the unitary transformations that perform the projection can be parametrized as a product of a small number of two-qubit rotations, with angles determined by an efficient classical optimization. Given the reduced complexity in terms of gates, this approach can be used to prepare approximate ground states of even-even nuclei by projecting onto the J = 0 component of deformed Hartree-Fock states. We estimate the resource requirements in terms of the universal gate set {H,S, CNOT ,T} and briefly discuss a variant of the algorithm that projects onto J = 1/2 states of a system with an odd number of fermions.

73 NUCLEAR PHYSICS AND RADIATION PHYSICS↗

Density-Matrix Based Extended Lagrangian Born–Oppenheimer Molecular Dynamics

Extended Lagrangian Born–Oppenheimer molecular dynamics [ Phys. Rev. Lett. 2008, 100, 123004] is presented for Hartree–Fock theory, where the extended electronic degrees of freedom are represented by a density matrix, including fractional occupation numbers at elevated electronic temperatures. In contrast to regular direct Born–Oppenheimer molecular dynamics simulations, no iterative self-consistent field optimization is required prior to the force evaluations. To sample regions of the potential energy landscape where the gap is small or vanishing, which leads to particular convergence problems in regular direct Born–Oppenheimer molecular dynamics simulations, an adaptive integration scheme for the extended electronic degrees of freedom is presented. The integration scheme is based on a tunable, low-rank approximation of a fourth-order kernel, K, that determines the metric tensor, T ≡ K T K, used in the extended harmonic oscillator of the Lagrangian that generates the dynamics of the electronic degrees of freedom. Here, the formulation and algorithms provide a general guide to implement extended Lagrangian Born–Oppenheimer molecular dynamics for quantum chemistry, density functional theory, and semiempirical methods using a density matrix formalism.

37 INORGANIC, ORGANIC, PHYSICAL, AND ANALYTICAL CH↗

Extended Lagrangian Born–Oppenheimer molecular dynamics using a Krylov subspace approximation

It is shown how the electronic equations of motion in extended Lagrangian Born–Oppenheimer molecular dynamics simulations can be integrated using low-rank approximations of the inverse Jacobian kernel. This kernel determines the metric tensor in the harmonic oscillator extension of the Lagrangian that drives the evolution of the electronic degrees of freedom. The proposed kernel approximation is derived from a pseudoinverse of a low-rank estimate of the Jacobian, which is expressed in terms of a generalized set of directional derivatives with directions that are given from a Krylov subspace approximation. The approach allows a tunable and adaptive approximation that can take advantage of efficient preconditioning techniques. The proposed kernel approximation for the integration of the electronic equations of motion makes it possible to apply extended Lagrangian first-principles molecular dynamics simulations to a broader range of problems, including reactive chemical systems with numerically sensitive and unsteady charge solutions. This can be achieved without requiring exact full calculations of the inverse Jacobian kernel in each time step or relying on iterative non-linear self-consistent field optimization of the electronic ground state prior to the force evaluations as in regular direct Born–Oppenheimer molecular dynamics. We note the low-rank approximation of the Jacobian is directly related to Broyden’s class of quasi-Newton algorithms and Jacobian-free Newton–Krylov methods and provides a complementary formulation for the solution of nonlinear systems of equations.

71 CLASSICAL AND QUANTUM MECHANICS, GENERAL PHYSIC↗

Role of electron correlation on the adenine dimer interaction for non-equilibrium geometries: a benchmark Quantum Monte Carlo study

The accurate description of non-covalent interactions is critical for understanding the structure, dynamics, and eventual function of biomolecules. The adenine dimer serves as a benchmark system for computational methods due to its role in nucleic acid structures and its rich conformational landscape. In this study, we employ benchmark diffusion quantum Monte Carlo (DMC) methods to investigate the relative energies and role of electron correlation on a set of adenine dimer conformations generated via a search of the potential energy landscape using the global optimizer algorithm. Relative DMC energies are compared against a wide range of density functional theory (DFT) approximation results. We find that although most of the DFT functionals perform well for low-energy structures, their accuracy varies significantly for higher-energy conformations, including stacked and T-shaped structures. A large fraction of the variation is due to the treatment of the van der Waals interaction. BLYP, B3LYP, and PBE0 significantly improve with added D4 dispersion, while the recent r2SCAN-D4 and ωB97M-V functionals show the least scatter and closest agreement with the DMC. These findings highlight the delicate nature of these interactions in biomolecular systems and provide guidance for simulations of their structure and dynamics and for the development of machine learned interatomic potentials.

Washburn, Laurel [ORNL] (ORCID:0000000324179335)↗

Reducing measurement costs by recycling the Hessian in adaptive variational quantum algorithms

Abstract Adaptive protocols enable the construction of more efficient state preparation circuits in variational quantum algorithms (VQAs) by utilizing data obtained from the quantum processor during the execution of the algorithm. This idea originated with Adaptive Derivative-Assembled Problem-Tailored variational quantum eigensolver (ADAPT-VQE), an algorithm that iteratively grows the state preparation circuit operator by operator, with each new operator accompanied by a new variational parameter, and where all parameters acquired thus far are optimized in each iteration. In ADAPT-VQE and other adaptive VQAs that followed it, it has been shown that initializing parameters to their optimal values from the previous iteration speeds up convergence and avoids shallow local traps in the parameter landscape. However, no other data from the optimization performed at one iteration is carried over to the next. In this work, we propose an improved quasi-Newton optimization protocol specifically tailored to adaptive VQAs. The distinctive feature in our proposal is that approximate second derivatives of the cost function are recycled across iterations in addition to optimal parameter values. We implement a quasi-Newton optimizer where an approximation to the inverse Hessian matrix is continuously built and grown across the iterations of an adaptive VQA. The resulting algorithm has the flavor of a continuous optimization where the dimension of the search space is augmented when the gradient norm falls below a given threshold. We show that this inter-optimization exchange of second-order information leads the approximate Hessian in the state of the optimizer to be consistently closer to the exact Hessian. As a result, our method achieves a superlinear convergence rate even in situations where the typical implementation of a quasi-Newton optimizer converges only linearly. Our protocol decreases the measurement costs in implementing adaptive VQAs on quantum hardware as well as the runtime of their classical simulation.

Ramôa, Mafalda (ORCID:0000000302187801)↗

Surrogate optimization of variational quantum circuits

Variational quantum eigensolvers are touted as a near-term algorithm capable of impacting many applications. However, the potential has not yet been realized, with few claims of quantum advantage and high resource estimates, especially due to the need for optimization in the presence of noise. Finding algorithms and methods to improve convergence is important to accelerate the capabilities of near-term hardware for VQE or more broad applications of hybrid methods in which optimization is required. To this goal, we look to use modern approaches developed in circuit simulations and stochastic classical optimization, which can be combined to form a surrogate optimization approach to quantum circuits. Using an approximate (classical CPU/GPU) state vector simulator as a surrogate model, we efficiently calculate an approximate Hessian, passed as an input for a quantum processing unit or exact circuit simulator. This method will lend itself well to parallelization across quantum processing units. We demonstrate the capabilities of such an approach with and without sampling noise and a proof-of-principle demonstration on a quantum processing unit utilizing 40 qubits.

Gustafson, Erik J. [RIACS, Mtn. View] (ORCID:00000↗

Solving the homogeneous Bethe-Salpeter equation with a quantum annealer

The homogeneous Bethe-Salpeter equation (hBSE), describing a bound system in a genuinely relativistic quantum-field theory framework, was solved for the first time by using a D-Wave quantum annealer. After applying standard techniques of discretization, the hBSE, in ladder approximation, can be formally transformed in a generalized eigenvalue problem (GEVP), with two square matrices: one symmetric and the other nonsymmetric. The latter matrix poses the challenge of obtaining a suitable formal approach for investigating the GEVP by means of a quantum annealer, i.e., to recast it as a quadratic unconstrained binary optimization problem. A broad numerical analysis of the proposed algorithms, applied to matrices of dimension up to 64, was carried out by using both the simulated-annealing package and the D-Wave . The numerical results very nicely compare with those obtained with standard classical algorithms, and also show interesting scalability features. Published by the American Physical Society 2024

71 CLASSICAL AND QUANTUM MECHANICS, GENERAL PHYSIC↗

Max-independent set and the quantum alternating operator ansatz

he maximum-independent set (MIS) problem of graph theory using the quantum alternating operator ansatz is studied. We perform simulations on the Rigetti Forest simulator for the square ring, K 2,3 , and K3,3 graphs and analyze the dependence of the algorithm on the depth of the circuit and initial states. The probability distribution of observation of the feasible states representing maximum-independent sets is observed to be asymmetric for the MIS problem, which is unlike the Max-Cut problem where the probability distribution of feasible states is symmetric. For asymmetric graphs, it is shown that the algorithm clearly favors the independent set with the larger number of elements even for finite circuit depth. Finally, we also compare the approximation ratios for the algorithm when we choose different initial states for the square ring graph and show that it is dependent on the choice of the initial state.

71 CLASSICAL AND QUANTUM MECHANICS, GENERAL PHYSIC↗

Generalized Quantum Convolution for Multidimensional Data

The convolution operation plays a vital role in a wide range of critical algorithms across various domains, such as digital image processing, convolutional neural networks, and quantum machine learning. In existing implementations, particularly in quantum neural networks, convolution operations are usually approximated by the application of filters with data strides that are equal to the filter window sizes. One challenge with these implementations is preserving the spatial and temporal localities of the input features, specifically for data with higher dimensions. In addition, the deep circuits required to perform quantum convolution with a unity stride, especially for multidimensional data, increase the risk of violating decoherence constraints. In this work, we propose depth-optimized circuits for performing generalized multidimensional quantum convolution operations with unity stride targeting applications that process data with high dimensions, such as hyperspectral imagery and remote sensing. We experimentally evaluate and demonstrate the applicability of the proposed techniques by using real-world, high-resolution, multidimensional image data on a state-of-the-art quantum simulator from IBM Quantum.

71 CLASSICAL AND QUANTUM MECHANICS, GENERAL PHYSIC↗